hwy::FunctionCache< RetType, Args > Struct Template Reference

`#include <highway.h>`

## Public Types

typedef RetType() | FunctionType(Args...)

## Static Public Member Functions

template<FunctionType *const table>
static RetType | ChooseAndCall (Args... args)

## Member Typedef Documentation

## FunctionType

template<typename RetType , typename... Args>

typedef RetType() hwy::FunctionCache< RetType, Args >::FunctionType(Args...)

## Member Function Documentation

## ChooseAndCall()

template<typename RetType , typename... Args>
template<FunctionType *const table>

static RetType hwy::FunctionCache< RetType, Args >::ChooseAndCall | ( | Args... | args | ) |

inline static

References hwy::GetChosenTarget(), hwy::ChosenTarget::GetIndex(), hwy::SupportedTargets(), and hwy::ChosenTarget::Update().

The documentation for this struct was generated from the following file:

- highway.h